Can't find libx11 on mono

Topics: User Forum
Jul 12, 2011 at 7:18 PM

Hi all. I'm trying to get farseer working with Mono(and OpenTK). I downloaded the Class version and went through the code making a few required changes. Ultimately, it compiled, but it throws a DLLNotFound exception. libx11. I can't tell if this is caused by farseer or if it just happened to be the catalyst. If anyone has any insight, I'd love to hear it.

 

Thanks,

-Derrick

Developer
Jul 12, 2011 at 10:53 PM

I've never played with Mono, but I'd say libx11 sounds like X11. I'm pretty sure Farseer doesn't need any extra or special libraries.

Jul 13, 2011 at 4:03 PM

Solved! This was indeed not a farseer issue. OpenTK tests for X11 as part of its startup. Thanks

 

-Derrick